function state = AddRoundKeyflt(state,w,sn256)
%This is a modified standard AES-GCM implementation, modified by applying a patented 256-state FLT
% transformation and a patent pending radix-256 transformation
% While the basic AES-GCM implementation is IP-free, this particular
% implementation is not!
% You are only allowed to apply this program for
% testing/trial/education/research purposes. 
% Use for operational encryption is strictly prohibited.
% Certain aspects of the present implementation may be covered by patents:
% US 12,143,468; US 11,093,213; 12,056,549;US 11,336,425 and pending
% patent applications.
w=w+1;
state=state+1;
for k1=1:4
    for k2=1:4
    state(k1,k2)=sn256(state(k1,k2),w(k1,k2));
    end
end
state=state-1;
end